create table if not exists hwp.watchlist (
	listid	uuid not null,
	no 		integer not null,
	plate 	varchar(32) not null,
	color	varchar(32) not null default 'none',
	class	varchar(32) not null default 'common',
	active	boolean not null default true,
	memo	text,
	extra	json,
	constraint hwp_watchlist_pkey PRIMARY KEY (listid,no) 
);

create table if not exists hwp.watchlist_archive (
	archived timestamptz not null default now()
) inherits (hwp.watchlist);



