CREATE or replace FUNCTION platear_prepare_t() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
declare
suid uuid;
begin	
	if NEW.guid is null then NEW.guid := ct.uuid_generate_v1(); end if;
	NEW.scrollts := date_trunc('second',NEW.ctime);
	NEW.scrollid := (extract(epoch from NEW.scrollts)*1000000)::bigint + mod(NEW.id,100000);	
	if NEW.alarm_type <> 0 then NEW.alarm_state := 1; end if;
    if _o('platear_auto_media_key')::boolean then NEW.media_id = NEW.scrollid; end if;
return NEW;
end;
$$;
