
create or replace view public.v_mediastatus as
select 
	pm.post, pm.channel, pm.image, pm.store, pm.minage, pm.maxage, 
	bs.root, bs.class, bs.opt, 
	st.size, st.count, st.ftimemin, st.ftimemax, st.pathmin, st.pathmax
from 
	public.plate_mediastore pm 
	join binfs.store bs 
		on bs.name = pm.store
	join (select distinct on (store) * from binfs.stats order by store, moment desc) st
		on st.store = pm.store
;		
