create or replace rule 
	r_hwp_watchlib_deactivate
as on update to hwp.watchlib 
where new.active = false 
do instead (
	insert into hwp.watchlib_archive 
		(listid,name,owner,version,created,checksum) 
		values(new.listid,new.name,new.owner,new.version,new.created,new.checksum);
	update hwp.watchlist set active = false where listid = new.listid;
	delete from only hwp.watchlib where listid = new.listid;
);

create or replace rule 
	r_hwp_watchlist_deactivate
as on update to hwp.watchlist 
where new.active = false 
do instead (
	insert into hwp.watchlist_archive 
		(listid,no,plate,color,class,active,memo,extra) 
		values(new.listid,new.no,new.plate,new.color,new.class,new.active,new.memo,new.extra);
	update hwp.watchlist set active = false where listid = new.listid;
	delete from only hwp.watchlist where listid = new.listid;
);	
		


