create table if not exists hwp.watchlib (
	listid		uuid not null primary key,
	name 		varchar(256) not null,
	owner		varchar not null,
	version		varchar(32) not null,
	created		timestamptz not null default now(),
	checksum 	bytea,
	active 		boolean not null default true,
	memo		text
);

create table if not exists hwp.watchlib_archive (
	archived	timestamptz not null default now()
) inherits (hwp.watchlib);

