DROP TRIGGER if exists t_prepare_platear ON platear;
CREATE TRIGGER t_prepare_platear BEFORE INSERT ON platear FOR EACH ROW EXECUTE PROCEDURE platear_prepare_t();

DROP TRIGGER if exists t_platear_filter ON platear;
CREATE TRIGGER t_platear_filter BEFORE INSERT ON platear FOR EACH ROW EXECUTE PROCEDURE platear_filter_t();

DROP TRIGGER if exists t_postfactum_platear ON platear;
CREATE TRIGGER t_postfactum_platear AFTER INSERT OR UPDATE ON platear FOR EACH ROW EXECUTE PROCEDURE platear_postfactum_t();

DROP TRIGGER if exists t_count_platear ON platear;
CREATE TRIGGER t_count_platear AFTER INSERT OR DELETE ON platear FOR EACH ROW EXECUTE PROCEDURE core._count_t();

DROP TRIGGER if exists t_notify_platear ON platear;
CREATE TRIGGER t_notify_platear AFTER INSERT OR UPDATE ON platear FOR EACH ROW EXECUTE PROCEDURE platear_notify_t();

